Name:           gobby
Version:        0.4.13
Release:        %mkrel 2
Summary:        A free collaborative editor
Group:          Editors
License:        GPLv2+
URL:            http://gobby.0x539.de/
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(avahi-glib)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.6.0
BuildRequires: pkgconfig(gtksourceview-2.0)
BuildRequires: pkgconfig(libxml++-2.6)
BuildRequires: pkgconfig(net6-1.3)
BuildRequires: pkgconfig(obby-0.4) >= 0.4.6
BuildRequires:  imagemagick 
BuildRequires:  intltool

%description
Gobby is a free collaborative editor based on libobby, a library which provides
synced document buffers. It supports multiple documents in one session and a 
multi-user chat. It runs on Microsoft Windows, Mac OS X, Linux and other 
Unix-like platforms.

It uses GTK+ 2.6 as its windowing toolkit and thus integrates nicely into the 
GNOME desktop environment.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Gobby
Comment=A free collaborative editor
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=TextEditor;Utility;GTK;
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog AUTHORS README NEWS
%_bindir/*
%_iconsdir/*/*/*/*
%{_datadir}/gobby/icons/*/*
%{_datadir}/applications/*
%{_mandir}/man1/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.13-2.mga4
+ Revision: 528594
- Mageia 4 Mass Rebuild

* Tue Jun 25 2013 fwang <fwang> 0.4.13-1.mga4
+ Revision: 446358
- cleanup patches and br
- new version 0.4.13

* Sat Jan 12 2013 dmorgan <dmorgan> 0.4.12-2.mga3
+ Revision: 361110
- Add P0 to fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 01 2011 ovitters <ovitters> 0.4.12-1.mga2
+ Revision: 137591
- update to 0.4.12
  clean spec file (buildroot, Mandriva name, Mandriva version checks)
- imported package gobby


* Wed Sep 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.4.11-1mdv2010.0
+ Revision: 447917
- Update to new version 0.4.11

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Mar 18 2009 Michael Scherer <misc@mandriva.org> 0.4.10-1mdv2009.1
+ Revision: 357465
- update to 0.4.10
- update source url sur mdvsys update work

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.4.9-1mdv2009.1
+ Revision: 324534
- BR intltool
- New version 0.4.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Nov 11 2008 Funda Wang <fwang@mandriva.org> 0.4.8-1mdv2009.1
+ Revision: 302045
- New version 0.4.8

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 158711
- New version 0.4.6

* Tue Jan 22 2008 Funda Wang <fwang@mandriva.org> 0.4.5-3mdv2008.1
+ Revision: 156305
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.4.5-1mdv2008.0
+ Revision: 79843
- 0.4.5

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 19 2007 Michael Scherer <misc@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 66492
- fix buildrequires
- new version


* Sun Sep 24 2006 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2007.0
- rebuild for missing zeroconf support

* Mon Sep 04 2006 Michael Scherer <misc@mandriva.org> 0.4.1-1mdv2007.0
- New version 0.4.1
- xdg

* Thu Jun 01 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdv2007.0
- New release 0.3.1

* Wed Dec 21 2005 Michael Scherer <misc@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 0.2.2-1mdk
- First package

